%global npmname color-name

Name:           nodejs-%{npmname}
Version:        1.1.4
Release:        1%{?dist}
Summary:        A JSON with CSS color names

License:        MIT
URL:            https://www.npmjs.com/package/%{npmname}

Source0:        https://github.com/colorjs/color-name/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  nodejs-packaging

BuildArch:      noarch
ExclusiveArch: %{nodejs_arches} noarch

%description
A JSON with color names and its values.

%prep
%autosetup -n %{npmname}-%{version}

%build
# Nothing to build, this is a noarch package

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npmname}
cp -a index.js %{buildroot}%{nodejs_sitelib}/%{npmname}/
cp -a package.json %{buildroot}%{nodejs_sitelib}/%{npmname}/

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'

node test.js

%files
%{nodejs_sitelib}/%{npmname}/
%license LICENSE
%doc README.md

%changelog
* Tue Apr 28 2020 Ben Rosser <rosser.bjr@gmail.com> - 1.1.4-1
- Initial package for Fedora.
